Bug 444508 - Moving glxgears window around on a T61 hardlock the system
Moving glxgears window around on a T61 hardlock the system
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mesa (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks: RHEL5u2_relnotes RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-04-28 15:44 EDT by Cameron Meadors
Modified: 2013-11-05 14:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
(amd64) On an IBM T61 laptop, Red Hat recommends that you refrain from clicking the glxgears window (when glxgears is run). Doing so can lock the system. To prevent this from occurring, disable the tiling feature. To do so, add the following line in the Device section of /etc/X11/xorg.conf: Option "Tiling" "0"
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 14:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2008-04-28 15:44:57 EDT
Moving glxgears window around on a T61 hardlock the system.  This is on x86_64
with xorg-x11-drv-ati-6.6.3-3.13.el5.  The glxgears window appears and will run
indefinitely if not poked.  If the window is moved around for a few seconds the
glxgears window gets corrupted, the display turns psycedelic, and the system is
locked.
Comment 1 Cameron Meadors 2008-04-28 15:57:26 EDT
This should be in the 5.2 release notes.
Comment 2 Don Domingo 2008-04-29 19:37:10 EDT
thanks Cameron. any known workarounds for this, other than not to use glxgears?
do we ship/support any other graphical benchmark tools that users can, well, use
instead?
Comment 3 Cameron Meadors 2008-04-30 08:52:14 EDT
No work-around that I know of.  I am not aware of any other benchmark tools for
GL purposes.  We ship a very limited number of packages that use DRI and GL at all.
Comment 4 Don Domingo 2008-04-30 20:30:49 EDT
adding to RHEl5.2 release notes updates:

<quote>
(x86_64) On an IBM T61 laptop, Red Hat recommends that you refrain from clicking
the glxgears window (when glxgears is run). Doing so can lock the system.
</quote>

by the way, i tried running glxgears on my test machine. when i maximize the
glxgears window and minimize it, it restarts X. the "Device => Driver" section
on its xorg.conf says "nv", which i think ships with RHEL (?). 

the video card on the machine is nVidia NV41 [Quadro FX 3450/4000 SDI].
Comment 5 Jane Lv 2008-05-09 05:00:37 EDT
I reproduced this issue on RHEL5.2-RC1 w/ both x86_64 version and i386 version.
 I used a SantaRosa SDV machine w/ Intel Crestline graphics chipset. Moving
glxgears window will make system crash.

I will double check this issue on T61 laptop.
Comment 6 Jane Lv 2008-05-12 04:47:56 EDT
We find a workaround of this issue.  Disabling "Tiling" in xorg.conf will avoid
system hangup.  Add the below line into section "Device",

Option "Tiling" "0"
Comment 7 Don Domingo 2008-05-12 18:03:00 EDT
thanks Jane. added to note for this item in RHEL5.2 release notes updates:

<quote>
To prevent this from occurring, disable the tiling feature. To do so, add the
following line to the Device section of /etc/X11/xorg.conf:

Option "Tiling" "0"
</quote>

please advise if any further revisions are required. thanks!
Comment 8 RHEL Product and Program Management 2008-06-02 16:03:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Ryan Lerch 2008-08-10 21:32:04 EDT
Tracking this bug for the Red Hat Enterprise Linux 5.3 Release Notes. 

This Release Note is currently located in the Known Issues section.
Comment 12 Ryan Lerch 2008-08-10 21:32:04 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.
Comment 14 RHEL Product and Program Management 2009-03-26 12:51:46 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 Adam Jackson 2013-11-05 14:35:41 EST
No further X driver updates are planned for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.